<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:48 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.service.BaseService (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.service.BaseService (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/service/class-use/BaseService.html" target="_top">Frames</a></li>
<li><a href="BaseService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.service.BaseService" class="title">Uses of Class<br>io.mosip.registration.service.BaseService</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.jobs.impl">io.mosip.registration.jobs.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.audit.impl">io.mosip.registration.service.audit.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.config.impl">io.mosip.registration.service.config.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.impl">io.mosip.registration.service.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.mapping.impl">io.mosip.registration.service.mapping.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet.impl">io.mosip.registration.service.packet.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.sync.impl">io.mosip.registration.service.sync.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.util.acktemplate">io.mosip.registration.util.acktemplate</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.util.common">io.mosip.registration.util.common</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.jobs.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html" title="class in io.mosip.registration.jobs.impl">SyncManagerImpl</a></span></code>
<div class="block">This class includes the functionalities of what transaction table needed.,
 like getting job details and preparation of sync transaction data</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.audit.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/audit/impl/package-summary.html">io.mosip.registration.service.audit.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/audit/impl/package-summary.html">io.mosip.registration.service.audit.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/audit/impl/AuditServiceImpl.html" title="class in io.mosip.registration.service.audit.impl">AuditServiceImpl</a></span></code>
<div class="block">Audit Service</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.config.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/config/impl/package-summary.html">io.mosip.registration.service.config.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/config/impl/package-summary.html">io.mosip.registration.service.config.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/GlobalParamServiceImpl.html" title="class in io.mosip.registration.service.config.impl">GlobalParamServiceImpl</a></span></code>
<div class="block">Class for implementing GlobalContextParam service</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html" title="class in io.mosip.registration.service.config.impl">JobConfigurationServiceImpl</a></span></code>
<div class="block">implementation class of <a href="../../../../../io/mosip/registration/service/config/JobConfigurationService.html" title="interface in io.mosip.registration.service.config"><code>JobConfigurationService</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/PolicySyncServiceImpl.html" title="class in io.mosip.registration.service.impl">PolicySyncServiceImpl</a></span></code>
<div class="block">it does the key policy synch</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/UserDetailServiceImpl.html" title="class in io.mosip.registration.service.impl">UserDetailServiceImpl</a></span></code>
<div class="block">Implementation for <a href="../../../../../io/mosip/registration/service/UserDetailService.html" title="interface in io.mosip.registration.service"><code>UserDetailService</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.mapping.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/mapping/impl/package-summary.html">io.mosip.registration.service.mapping.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/mapping/impl/package-summary.html">io.mosip.registration.service.mapping.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/mapping/impl/MapMachineServiceImpl.html" title="class in io.mosip.registration.service.mapping.impl">MapMachineServiceImpl</a></span></code>
<div class="block">This service implementation updates the mapping of users and devices to the
 Registration Center Machine</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketSynchServiceImpl</a></span></code>
<div class="block">The PacketSynchServiceImpl class is to sync the packets to server.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketUploadServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketUploadServiceImpl</a></span></code>
<div class="block">This class will update the packet status in the table and also push the
 packets to the server.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">RegPacketStatusServiceImpl</a></span></code>
<div class="block">This class will update the packet status in the table after sync with the
 server.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.sync.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/sync/impl/package-summary.html">io.mosip.registration.service.sync.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/service/sync/impl/package-summary.html">io.mosip.registration.service.sync.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/impl/PreRegistrationDataSyncServiceImpl.html" title="class in io.mosip.registration.service.sync.impl">PreRegistrationDataSyncServiceImpl</a></span></code>
<div class="block">Implementation for <a href="../../../../../io/mosip/registration/service/sync/PreRegistrationDataSyncService.html" title="interface in io.mosip.registration.service.sync"><code>PreRegistrationDataSyncService</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/impl/SyncStatusValidatorServiceImpl.html" title="class in io.mosip.registration.service.sync.impl">SyncStatusValidatorServiceImpl</a></span></code>
<div class="block"><code>SyncStatusValidatorServiceImpl</code> is the sync status validate service
 class which validates all the sync happened,count of packets on machine,geo location of system,etc...</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.acktemplate">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/util/acktemplate/package-summary.html">io.mosip.registration.util.acktemplate</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/util/acktemplate/package-summary.html">io.mosip.registration.util.acktemplate</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/acktemplate/TemplateGenerator.html" title="class in io.mosip.registration.util.acktemplate">TemplateGenerator</a></span></code>
<div class="block">Generates Velocity Template for the creation of acknowledgement</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.common">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/util/common/package-summary.html">io.mosip.registration.util.common</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">BaseService</a> in <a href="../../../../../io/mosip/registration/util/common/package-summary.html">io.mosip.registration.util.common</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/common/OTPManager.html" title="class in io.mosip.registration.util.common">OTPManager</a></span></code>
<div class="block">OTP Manager</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/service/BaseService.html" title="class in io.mosip.registration.service">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/service/class-use/BaseService.html" target="_top">Frames</a></li>
<li><a href="BaseService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
